Package org.h2gis.functions.io.kml

# Enum ExtrudeMode

java.lang.Object
java.lang.Enum<ExtrudeMode>
org.h2gis.functions.io.kml.ExtrudeMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtrudeMode>`, `java.lang.constant.Constable`

public enum ExtrudeMode extends Enum<ExtrudeMode>
Extrude mode specifies whether to connect the geometry to the ground.

Author:
  Erwan Bocher

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FALSE`
`NONE`
`TRUE`

## Method Summary

Modifier and Type
Method
Description
`static ExtrudeMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExtrudeMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRUE

public static final ExtrudeMode TRUE

### FALSE

public static final ExtrudeMode FALSE

### NONE

public static final ExtrudeMode NONE

## Method Details

### values

public static ExtrudeMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ExtrudeMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null